
QGIS Application - Bug report #4465

patch to update the GRASS plugin to make it cope correctly with the new GRASS command parser 

(6.4.2RC2)

2011-10-29 03:56 PM - Giovanni Manghi

Status: Closed

Priority: High

Assignee: Giuseppe Sucameli

Category: GRASS

Affected QGIS version: Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 14392

Description

In the next GRASS release 6.4.2RC2 it will not be allowed anymore to have commands with incomplete or non-sense parameters.

For example now the QGIS/GRASS plugin produces (in a quite high number of modules) commands with non-sense parameters like

"=area", that for now are ignored, but soon will be rejected.

The attached patch by Martin Landa fixes the problem.

Associated revisions

Revision a9f82d1e - 2011-11-17 04:40 PM - Giuseppe Sucameli

fix #4465 to make the GRASS plugin working with GRASS 6.4.2RC2

Revision 3b961004 - 2012-02-16 10:30 AM - Giuseppe Sucameli

fix #4465 to make the GRASS plugin working with GRASS 6.4.2RC2

History

#1 - 2011-11-17 07:43 AM - Giuseppe Sucameli

- Resolution set to fixed

- Assignee changed from Paolo Cavallini to Giuseppe Sucameli

- Status changed from Open to Closed

Fixed in commit a9f82d1e77cf5dc2c8ae380a14c70a847d5b278a

Files

grass.diff 797 Bytes 2011-10-29 Giovanni Manghi
